OpenTTD Source: CoreTextFontCacheFactory Class Reference

OpenTTD Source 15.3

Public Member Functions | Static Private Member Functions | Static Private Attributes
CoreTextFontCacheFactory Class Reference
Inheritance diagram for CoreTextFontCacheFactory:

## Public Member Functions
std::unique_ptr< FontCache > | LoadFont (FontSize fs, FontType fonttype) const override
| Loads the TrueType font.
bool | FindFallbackFont (FontCacheSettings *settings, const std::string &language_isocode, MissingGlyphSearcher *callback) const override
Public Member Functions inherited from FontCacheFactory
| FontCacheFactory (std::string_view name, std::string_view description)
Public Member Functions inherited from BaseProvider< FontCacheFactory >
constexpr | BaseProvider (std::string_view name, std::string_view description)
std::string_view | GetName () const
std::string_view | GetDescription () const

## Static Private Member Functions
static CTFontDescriptorRef | LoadFontFromFile (const std::string &font_name)

## Static Private Attributes
static CoreTextFontCacheFactory | instance

## Additional Inherited Members
Protected Attributes inherited from BaseProvider< FontCacheFactory >
const std::string_view | name
const std::string_view | description

## Detailed Description

Definition at line 204 of file font_osx.cpp.

## Constructor & Destructor Documentation

## ◆ CoreTextFontCacheFactory()

CoreTextFontCacheFactory::CoreTextFontCacheFactory | ( |  | ) |
| inline

Definition at line 206 of file font_osx.cpp.

## Member Function Documentation

## ◆ FindFallbackFont()

bool CoreTextFontCacheFactory::FindFallbackFont | ( | FontCacheSettings * | settings,
|  | const std::string & | language_isocode,
|  | MissingGlyphSearcher * | callback
| ) |  | const
| inlineoverridevirtual

Implements FontCacheFactory.

Definition at line 262 of file font_osx.cpp.

## ◆ LoadFont()

std::unique_ptr< FontCache > CoreTextFontCacheFactory::LoadFont | ( | FontSize | fs,
|  | FontType | fonttype
| ) |  | const
| inlineoverridevirtual

Loads the TrueType font.

If a CoreText font description is present, e.g. from the automatic font fallback search, use it. Otherwise, try to resolve it by font name.

Parameters

  fs | The font size to load.

Implements FontCacheFactory.

Definition at line 214 of file font_osx.cpp.

References GetFontCacheFontName(), GetFontCacheFontSize(), GetFontCacheSubSetting(), MacOSVersionIsAtLeast(), settings, and TrueType.

## ◆ LoadFontFromFile()

static CTFontDescriptorRef CoreTextFontCacheFactory::LoadFontFromFile | ( | const std::string & | font_name | ) |
| inlinestaticprivate

Definition at line 347 of file font_osx.cpp.

## Field Documentation

## ◆ instance

CoreTextFontCacheFactory CoreTextFontCacheFactory::instance
| staticprivate

Definition at line 382 of file font_osx.cpp.

The documentation for this class was generated from the following file:

- src/os/macosx/font_osx.cpp